<?php
class A
{
  function __construct()
  {
    echo("Jestem konstruktorem z klasy A.\n");
  }
  function __destruct()
  {
    echo("Jestem destruktorem z klasy A.\n");
  }
}

class B extends A
{
  function __construct()
  {
    parent::__construct();
    echo("Jestem konstruktorem z klasy B.\n");
  }
  function __destruct()
  {
    parent::__destruct();
    echo("Jestem destruktorem z klasy B.\n");
  }
}

$objB = new B();
?>
